Subject: Re: [PATCH] Add support for binary includes.

From: Jon Loeliger <[email-masked]>
Date: Fri, 22 Feb 2008 12:12:25 -0600

David Gibson wrote:

>> node {
>> 	prop = /incbin/("path/to/data");
>> };
>>
>> node {
>> 	prop = /incbin/("path/to/data", 8, 16);
>> };
>
> I still dislike the syntax, but haven't thought of a better one yet.
> There are some issues with the implementation too, but I've been a bit
> too busy with ePAPR stuff to review properly.

I'm OK with the syntax, but whatever-ish.

Would these be better?:

    prop = /call/(incbin, "path/to/data", 17, 23);
    prop = /call[incbin]/("path/to/data");
    prop = /call incbin/("path/to/data", 12, 12+10);

What is the aspect of the syntax that you don't like?
I think we essentially need to stick in the /.../ realm
to be consistent with the other non-standard names being
used, like /include/.

I can see a generalized form that allows other pre-defined
or user-defined "functions" to be introduced and called
or used in a similar way:

    prop = <(22 + /fibonacci/(7)) 1000>;

    prop = /directoryof/("/path/to/some/file.doc");

    interrupt-map = /pci_int_map/(8000, 2, 14);

or whatever.  We can paint this bikeshed for a long time
if we need to.  Or, we can get down to some serious issue
if there are any.  Are there?

jdl